# class SS7TCAPANSI | ANSI SS7 TCAP implementation. More...
Full name | `TelEngine::SS7TCAPANSI`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7TCAP [virtual public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum TCAPTags { TransactionIDTag = 0xc7, PCauseTag = 0xd7, UserAbortPTag = 0xd8 , UserAbortCTag = 0xf8, }
- enum TCAPDialogTags { DialogPortionTag = 0xf9, ProtocolVersionTag = 0xda, IntApplicationContextTag = 0xdb, OIDApplicationContextTag = 0xdc, UserInformationTag = 0xfd, IntSecurityContextTag = 0x80, OIDSecurityContextTag = 0x81, ConfidentialityTag = 0xa2, }
- enum UserInfoTags { DirectReferenceTag = 0x06, DataDescriptorTag = 0x07, ExternalTag = 0x28, SingleASNTypePEncTag = 0x80, SingleASNTypeCEncTag = 0xa0, OctetAlignEncTag = 0x81, ArbitraryEncTag = 0x82, }
- enum ConfidentialityTags { IntConfidentialContextTag = 0x80, OIDConfidentialContextTag = 0x81, }
- enum TCAPComponentTags { ComponentPortionTag = 0xe8, ComponentsIDsTag = 0xcf, OperationNationalTag = 0xd0, OperationPrivateTag = 0xd1, ErrorNationalTag = 0xd3, ErrorPrivateTag = 0xd4, ProblemCodeTag = 0xd5, ParameterSetTag = 0xf2, ParameterSeqTag = 0x30, }

#### Public Methods

- SS7TCAPANSI (const NamedList& params)
- ~SS7TCAPANSI ()
- virtual SS7TCAPTransaction* buildTransaction (SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, bool initLocal = true)

## Detailed Description

Implementation of SS7 Transactional Capabilities Application Part - specification ANSI

enum TCAPTags { TransactionIDTag = 0xc7, PCauseTag = 0xd7, UserAbortPTag = 0xd8 , UserAbortCTag = 0xf8, } | ### TCAPTags

enum TCAPDialogTags { DialogPortionTag = 0xf9, ProtocolVersionTag = 0xda, IntApplicationContextTag = 0xdb, OIDApplicationContextTag = 0xdc, UserInformationTag = 0xfd, IntSecurityContextTag = 0x80, OIDSecurityContextTag = 0x81, ConfidentialityTag = 0xa2, } | ### TCAPDialogTags

enum UserInfoTags { DirectReferenceTag = 0x06, DataDescriptorTag = 0x07, ExternalTag = 0x28, SingleASNTypePEncTag = 0x80, SingleASNTypeCEncTag = 0xa0, OctetAlignEncTag = 0x81, ArbitraryEncTag = 0x82, } | ### UserInfoTags

enum ConfidentialityTags { IntConfidentialContextTag = 0x80, OIDConfidentialContextTag = 0x81, } | ### ConfidentialityTags

enum TCAPComponentTags { ComponentPortionTag = 0xe8, ComponentsIDsTag = 0xcf, OperationNationalTag = 0xd0, OperationPrivateTag = 0xd1, ErrorNationalTag = 0xd3, ErrorPrivateTag = 0xd4, ProblemCodeTag = 0xd5, ParameterSetTag = 0xf2, ParameterSeqTag = 0x30, } | ### TCAPComponentTags

SS7TCAPANSI (const NamedList& params) | ### SS7TCAPANSI

Constructor

Parameters:

params | NamedList containing parameters for building TCAP

~SS7TCAPANSI () | ### ~SS7TCAPANSI

Destructor

SS7TCAPTransaction* buildTransaction (SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, bool initLocal = true) | ### buildTransaction

[virtual]

Build a transaction

Parameters:

type | Type with which to build the transactions
transactID | ID for the transaction
params | Parameters for building the transaction
initLocal | True if built by user, false if by remote end

Returns: A transaction

Reimplemented from SS7TCAP.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.